Scilab Function
Last update : 16/06/2004

getfield - extraction d'un champ d'une liste

### Calling Sequence

  `[x,...]=getfield(i,l)`

### Parameters

- `x` : matrice de tout type
- `l` : variable de type list, tlist ou mlist
- `i` : indice du champ, voir `extraction` pour plus de détails

### Description

Cette fonction est un équivalent de la syntaxe `[x,...]=l(i)` pour l'extraction de champs avec la seule différence qu'elle s'applique aussi aux objets de type `mlist`.

### Examples

    l=list(1,'qwerw',%s)
    [a,b]=getfield([3 2],l)

    a=hypermat([2,2,2],rand(1:2^3));// les hypermatrices sont stockées dans des mlist
    a(1) // le terme a(1,1,1)
    getfield(1,a) // le premier champ de la mlist

### See Also

`extraction`,